journal_flush
Prev | Journal Level | Next

## Name

journal_flush — Flush journal

## Synopsis

`int journal_flush (` | journal_t * | journal`)`;

## Arguments

`journal`

  Journal to act on.

## Description

Flush all data for a given journal to disk and empty the journal. Filesystems can use this when remounting readonly to ensure that recovery does not need to happen on remount.

Prev | Up | Next
journal_update_format | Home | journal_wipe